##Parasitism Analysis with only first nests of dispersers/site-faithful birds##

rm(list = ls())
# --- Required Packages -------
require(ggplot2)
require(lme4)
require(Rmisc)
require(AICcmodavg)
require(piecewiseSEM)
require(gridExtra)
require(dplyr)
require(car)

Parasitism= read.csv(file.choose())
head(Parasitism)

#treat variables as dummy factors
Parasitism$DispersalStatus=factor(Parasitism$DispersalStatus)

#test whether parasitism incidence affects dispersal
mod1 <- glm(Parasitized ~  DispersalStatus, family = binomial, data = Parasitism) 
summary(mod1)
Anova(mod1)
anova(mod1, test="F")

#test whether parasitism intensity affects dispersal 
mod2 <- glm(NCowbirdEggs ~  DispersalStatus, family = poisson, data = Parasitism) 
summary(mod2)
Anova(mod2)
anova(mod2, test="F")