
##Analysis of individual level DNS estimates of same individual##

rm(list = ls())
# --- Required Packages -------
require(ggplot2)
require(lme4)
require(Rmisc)
require(AICcmodavg)
require(piecewiseSEM)
require(gridExtra)
require(dplyr)
require(car)
require(glmmADMB)

DNS = read.csv(file.choose())
head(DNS)

#treat variables as dummy factors
DNS$DispersalStatus=factor(DNS$DispersalStatus)
DNS$NestOrder=factor(DNS$NestOrder)
levels(DNS$NestOrder)
levels(DNS$DispersalStatus)

#test whether dispersal increases indidivual fitness
mod1<- lmer(DNSestimate ~ DispersalStatus + NestOrder + DispersalStatus*NestOrder + (1|individual),  data = DNS)
summary(mod1)
Anova(mod1)
anova(mod1, test="F")


#without random effect
mod2<- glm(DNSestimate ~ DispersalStatus + NestOrder + DispersalStatus*NestOrder, data = DNS)
summary(mod2)
Anova(mod2)
anova(mod2, test="F")

