##Parasitism Analysis with first & second nests of dispersers/site-faithful birds##

rm(list = ls())
# --- Required Packages -------
require(ggplot2)
require(lme4)
require(Rmisc)
require(AICcmodavg)
require(piecewiseSEM)
require(gridExtra)
require(dplyr)
require(car)

Parasitism_bothnests= read.csv(file.choose())
head(Parasitism_bothnests)

#treat variables as dummy factors
Parasitism_bothnests$DispersalStatus=factor(Parasitism_bothnests$DispersalStatus)
Parasitism_bothnests$NestOrder=factor(Parasitism_bothnests$NestOrder)

#test whether parasitism incidence affects dispersal 
mod1 <- glm(NCowbirdEggs ~  DispersalStatus + NestOrder +DispersalStatus*NestOrder, family = poisson, data = Parasitism_bothnests) 
summary(mod1)
Anova(mod1)
anova(mod1, test="F")


#test whether parasitism intensity affects dispersal 
mod2 <- glm(Parasitized ~  DispersalStatus + NestOrder + DispersalStatus*NestOrder, family = binomial, data = Parasitism_bothnests) 
summary(mod2)
Anova(mod2)
anova(mod2, test="F")
